# BEGIN
on:
  push:
    branches: [ main ]
  pull_request:
    branches: [ main ]

jobs:
  build:

    runs-on: ubuntu-latest

    strategy:
      matrix:
        node-version: [10.x, 12.x, 14.x, 15.x]

    steps:
    - uses: actions/checkout@v2
    - name: Use Node.js ${{ matrix.node-version }}
      uses: actions/setup-node@v2
      with:
        node-version: ${{ matrix.node-version }}
    - uses: actions/checkout@main
    - uses: codecov/codecov-action@v1
      with:
        token: process.env.CODECOV_TOKEN
        fail_ci_if_error: true

    - run: npm ci
    - run: npm run build --if-present
    - run: npm test
# END